Bug 57154 - bb hangs with EsounD due to a bugs in libmikmod
bb hangs with EsounD due to a bugs in libmikmod
Product: Red Hat Linux
Classification: Retired
Component: mikmod (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2001-12-05 20:56 EST by Stas Sergeev
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-25 02:10:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
simple patch to work around the problem (3.36 KB, patch)
2001-12-05 21:01 EST, Stas Sergeev
no flags Details | Diff

  None (edit)
Description Stas Sergeev 2001-12-05 20:56:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.20 i686)

Description of problem:
bb demo hangs trying to play music with esd.
The problem appears to be in the mikmod.
bb uses libmikmod to play its s3m's. mikmod have a esd driver, but it
doesn't check esd's buffer and writes a data until it is blocked.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run esd
2. run bb
3. wait until music starts

Actual Results:  music is playing but video stops.

Expected Results:  Enjoing a Cool ASCII-Art Video, not only a music:)

Additional info:

I have made a simple patch that fixes a problem for me, maybe this
will help.
I'll attach it now.
Comment 1 Stas Sergeev 2001-12-05 21:01:44 EST
Created attachment 39809 [details]
simple patch to work around the problem
Comment 2 Bill Nottingham 2002-07-18 22:33:07 EDT
Added in 3.1.6-17, thanks!

Note You need to log in before you can comment on or make changes to this bug.